$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-a50ea09053084c536b5b098de6a5b426d26a6c57/rpcs3-v0.0.12-10915-a50ea090_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'e1a1489d1ab70031ee623c95f5182271c8c7ee8851548dce25ad0da3babfe6f1'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
